/* $Id: EditorToolBarPlan.java 125 2011-03-09 09:49:51Z ohura $ */
package sml_editor.swingui.toolbar;


public class EditorToolBarPlan {
	protected boolean copy=true;
	protected boolean cut=true;
	protected boolean paste=true;
	protected boolean markup=true;
	protected boolean removeTag=true;
	protected boolean undo=true;
	protected boolean redo=true;
	protected boolean search=true;

	protected boolean source=true;
	protected boolean browse=true;
	protected boolean edit=true;
	
	public boolean isBrowse() {
		return browse;
	}
	public void setBrowse(boolean browse) {
		this.browse = browse;
	}
	public boolean isCopy() {
		return copy;
	}
	public void setCopy(boolean copy) {
		this.copy = copy;
	}
	public boolean isCut() {
		return cut;
	}
	public void setCut(boolean cut) {
		this.cut = cut;
	}
	public boolean isEdit() {
		return edit;
	}
	public void setEdit(boolean edit) {
		this.edit = edit;
	}
	public boolean isMarkup() {
		return markup;
	}
	public void setMarkup(boolean markup) {
		this.markup = markup;
	}
	public boolean isPaste() {
		return paste;
	}
	public void setPaste(boolean paste) {
		this.paste = paste;
	}
	public boolean isRedo() {
		return redo;
	}
	public void setRedo(boolean redo) {
		this.redo = redo;
	}
	public boolean isRemoveTag() {
		return removeTag;
	}
	public void setRemoveTag(boolean removeTag) {
		this.removeTag = removeTag;
	}
	public boolean isSource() {
		return source;
	}
	public void setSource(boolean source) {
		this.source = source;
	}
	public boolean isUndo() {
		return undo;
	}
	public void setUndo(boolean undo) {
		this.undo = undo;
	}
	public boolean isSearch() {
		return search;
	}
	public void setSearch(boolean search) {
		this.search = search;
	}
	
	
}
